Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161547 - numactl owns directories it should not
Summary: numactl owns directories it should not
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: numactl
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-24 07:20 UTC by Tom "spot" Callaway
Modified: 2015-01-04 22:20 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-08 01:10:50 UTC


Attachments (Terms of Use)

Description Tom "spot" Callaway 2005-06-24 07:20:55 UTC
Description of problem:

On Fedora Core 4, numactl owns directories that it should not own. Specifically,
it owns:

/usr/share/man
/usr/share/man/man2
/usr/share/man/man3
/usr/share/man/man8

This is an easy spec file fix, and it will help keep the file ownership clean in
the tree.

Comment 1 Dave Jones 2005-07-08 00:43:36 UTC
Ok easy it may be, but for the specfile-clueless (ie, me), what needs to change ?

if I nuke the %{_mandir} from %files, I get..

RPM build errors:
    Installed (but unpackaged) file(s) found:
   /usr/lib64/libnuma.so
   /usr/share/man/man2/mbind.2.gz
   /usr/share/man/man2/set_mempolicy.2.gz
   /usr/share/man/man3/numa.3.gz
   /usr/share/man/man3/numa_all_nodes.3.gz
   /usr/share/man/man3/numa_alloc.3.gz
   /usr/share/man/man3/numa_alloc_interleaved.3.gz
   /usr/share/man/man3/numa_alloc_interleaved_subset.3.gz
   /usr/share/man/man3/numa_alloc_local.3.gz
   /usr/share/man/man3/numa_alloc_onnode.3.gz
   /usr/share/man/man3/numa_available.3.gz
   /usr/share/man/man3/numa_bind.3.gz
   /usr/share/man/man3/numa_error.3.gz
   /usr/share/man/man3/numa_exit_on_error.3.gz
   /usr/share/man/man3/numa_free.3.gz
   /usr/share/man/man3/numa_get_interleave_mask.3.gz
   /usr/share/man/man3/numa_get_interleave_node.3.gz
   /usr/share/man/man3/numa_get_membind.3.gz
   /usr/share/man/man3/numa_get_run_node_mask.3.gz
   /usr/share/man/man3/numa_interleave_memory.3.gz
   /usr/share/man/man3/numa_max_node.3.gz
   /usr/share/man/man3/numa_no_nodes.3.gz
   /usr/share/man/man3/numa_node_size.3.gz
   /usr/share/man/man3/numa_node_to_cpus.3.gz
   /usr/share/man/man3/numa_police_memory.3.gz
   /usr/share/man/man3/numa_preferred.3.gz
   /usr/share/man/man3/numa_run_on_node.3.gz
   /usr/share/man/man3/numa_run_on_node_mask.3.gz
   /usr/share/man/man3/numa_set_bind_policy.3.gz
   /usr/share/man/man3/numa_set_interleave_mask.3.gz
   /usr/share/man/man3/numa_set_localalloc.3.gz
   /usr/share/man/man3/numa_set_membind.3.gz
   /usr/share/man/man3/numa_set_preferred.3.gz
   /usr/share/man/man3/numa_set_strict.3.gz
   /usr/share/man/man3/numa_setlocal_memory.3.gz
   /usr/share/man/man3/numa_tonode_memory.3.gz
   /usr/share/man/man3/numa_tonodemask_memory.3.gz
   /usr/share/man/man8/numactl.8.gz


I also need to mkdir the man dirs, or it fails cp the manpages into a
non-existant dir.


Comment 2 Tom "spot" Callaway 2005-07-08 01:01:00 UTC
Don't nuke the man dirs, just don't own them.

Instead of %{_mandir}, use:

%{_mandir}/man2/*.2*
%{_mandir}/man3/*.3*
%{_mandir}/man8/*.8*

The missing lib64 file is outside of this bug. :)

Comment 3 Dave Jones 2005-07-08 01:10:50 UTC
ah cool, ok. this will go out in tomorrows rawhide.
I've also fixed it in cvs for FC4, but I won't do an errata just for this.

thanks.


Note You need to log in before you can comment on or make changes to this bug.